PDA

View Full Version : 6.3.0 Woes



dfk
2006-05-01, 05:14
There I was happily running SlimServer Version: 6.2.2 - 7230 so I thought to myself, mmmmm.. should I upgrade to 6.3.0 SlimServer_v2006-05-01.exe then I thought to myself be daring, go on you can do it, so I took the challenge and guess what...

Well the software could not start the Windows XP service so SlimServer would not start. Then I thought to myself mmmm.. Well the next best thing would be to go back to SlimServer Version: 6.2.2 - 7230 guess what....

Now I have lost ShoutCast streams, even though the plugin is there.

Anyone else had similar experiences who knows how to fix this?

Siduhe
2006-05-01, 05:31
I had a similar problem (Windows XP cannot install Slimserver Service) with the 30 April nightly for 6.3.0. I uninstalled, then reinstalled the 28 April nightly with no problems and everything is working fine. Maybe give that a try and see if it solves the Shoutcast problem ?

http://www.slimdevices.com/downloads/nightly/SlimServer_6_3_x_v2006-04-28/

mherger
2006-05-01, 05:36
> Now I have lost ShoutCast streams, even though the plugin is there.

Shoutcast has changed their stream directory format - and the necessary
new plugin is not in 6.2.x. You'll have to use 6.3 or later to use it.
(you'll find quite some information about this issue in these forums)

If slimserver does not start right after the installation, then just
uninstall it and re-install again. Sounds stupid, but this has fixed the
problem for most of us.

--

Michael

-----------------------------------------------------------
Help translate SlimServer by using the
SlimString Translation Helper (http://www.herger.net/slim/)

anicca
2006-05-01, 06:22
Hello,
Is not the 6.3 build available for the Mac anymore? Haven't seen it for several days now. Last time I installed it, the server would not start, so I deleted 6.3 and reinstalled 6.2.2 and it started. Will any of the other nightly 6.3 builds install in the Mac? Thanks

dfk
2006-05-01, 06:24
> Now I have lost ShoutCast streams, even though the plugin is there.

Shoutcast has changed their stream directory format - and the necessary
new plugin is not in 6.2.x. You'll have to use 6.3 or later to use it.
(you'll find quite some information about this issue in these forums)

If slimserver does not start right after the installation, then just
uninstall it and re-install again. Sounds stupid, but this has fixed the
problem for most of us.

--

Michael

-----------------------------------------------------------
Help translate SlimServer by using the
SlimString Translation Helper (http://www.herger.net/slim/)

Ok I uninstalled my older version of SlimServer (it also deleted my prefs file!! Good job I have a backup)

When I run the set-up of 6.3.0 it seems to install then I get this:

'Problem installing SlimServer service for autostart: The system cannot find the file specified'

Any ideas?

Thanks

Siduhe
2006-05-01, 06:43
dfk, that's exactly the problem I got with the 30th April nightly. Reinstalling it didn't help (I tried several times). Have you tried the 28th April version I linked to ?

dfk
2006-05-01, 06:45
dfk, that's exactly the problem I got with the 30th April nightly. Reinstalling it didn't help (I tried several times). Have you tried the 28th April version I linked to ?

I think this is the cause of the problem:

There is no slim.exe file in SlimServer_6_3_x_v2006-05-01 .exe or .zip package. This seems like a real oversite or has slim.exe been replaced with something else in the package?

Siduhe
2006-05-01, 06:48
Something similar happened to the nightlies a few weeks ago. It was just a bug / compile error and fixed in the next day's update. AFAIK slim.exe is still required.

Either try an earlier build or wait for the next update.

dfk
2006-05-01, 06:59
Something similar happened to the nightlies a few weeks ago. It was just a bug / compile error and fixed in the next day's update. AFAIK slim.exe is still required.

Either try an earlier build or wait for the next update.

Yes, I did revert to an earlier build of 6.2.2 as this is the only way I can get anything to work again. I am fed up with the fact I have wasted an hour of my life trying to install an upgrade with software that is half missing in the package!

I have not tried the 28th April 6.3.0 build maybe I will try that as it looks as though 6.3.0 since the 29th April has not had the slim.exe in the build as the build is 5Mb shorter than the other builds and it just so happens the slim.exe is 5,229Kb

Thanks

Siduhe
2006-05-01, 08:00
As I mentioned, 6.3.0. 28th April is working for me.

As this isn't fixed in 1 May version, bug opened below. If you want it fixed, please vote for it (more votes = more attention).

Appreciate it can be frustrating, but bugs do creep in, and the one thing you can be sure of is that it will be fixed quickly. I find the Slim Devices guys incredibly responsive compared to other similar products.

http://bugs.slimdevices.com/show_bug.cgi?id=3359

dfk
2006-05-01, 08:55
As I mentioned, 6.3.0. 28th April is working for me.

As this isn't fixed in 1 May version, bug opened below. If you want it fixed, please vote for it (more votes = more attention).

Appreciate it can be frustrating, but bugs do creep in, and the one thing you can be sure of is that it will be fixed quickly. I find the Slim Devices guys incredibly responsive compared to other similar products.

http://bugs.slimdevices.com/show_bug.cgi?id=3359

Siduhe

Thanks for your response. I have been around this forum for a while, and I know the guys here are committed to ensuring that things like this are fixed ASAP. What I find incredible, is that the same guys are putting out builds with the main .exe missing and not even noticing it. I would not call this a bug by any means... You can't seriously suggest that we should be voting for something that is a core part of making the software functional?

Regards

Dave

jonheal
2006-05-01, 09:19
What I find incredible, is that the same guys are putting out builds with the main .exe missing and not even noticing it.
I believe the nightlies are released though an automated process (at 1:00 or 2:00 am, no less). It is entirely resonable that something awry is not noticed until after the fact.

Upgrading to betas is walking on thin ice. If you feel brave, go for it, but you won't get too much sympathy if you fall in.

siasl
2006-05-01, 09:26
Seems the 6.3.0 rpm also has problems.

Won't start :

Some sort of SHA1 perl module error.

Had to erase and install back to 6.2.2.

Runs fine.